USE [Database]

IF OBJECT_ID('[Procedures].[update_product]', 'P') IS NOT NULL
  DROP PROCEDURE [Procedures].[update_product];
GO
CREATE PROCEDURE [Procedures].[update_product]
  @product_id           AS INT,
  @name                 AS NVARCHAR(128),
  @product_type_id      AS INT,
  @barcode_attribute_id AS INT
AS
 UPDATE [Tables].[products]
 SET
   [name] = @name,                
   [product_type_id] = @product_type_id
 WHERE [id] = @product_id;
GO